
# Million Project Member Graph

Ce projet cherche à générer un graphe représentant les membres du groupe sous forme d'un nuage de points et leur lien de relation avec la personne l'y ayant ajouté.

Le graphe prend la forme d'un arbre avec un seul noeud racine, le fondateur du groupe (c'est Elias). Il n'y a théoriquement pas de boucle puisque chaque membre est ajouté par une personne qu'il ne peut pas ajouter à son tour, sauf dans le cas particulier où une personne quitte le groupe et se fait réinviter par une personne qui se trouvait dans sons sous-arbre ; Et l'interprétation de ce cas comme une boucle dépend de la manière de compiler les données.
## Exécution

Le projet s'exécute dans un container docker.
Il vous faut d'abord builder l'image :

```bash
  docker build --tag million_graph --file docker/Dockerfile .
```

Puis l'exécuter dans un container. La sortie du script est récupérée dans le dossier output/

```bash
docker run --rm --mount type=bind,src=$PWD/output,dst=/home/user/mil/output million_graph
```

Pour l'information, l'architecture du répertoire de travail dans l'image docker est construite différemment du répertoire du projet. Elle se présente ainsi :

```
/home/user/mil/
├── data/
│   └── data files
└── script.py
```